View Issue Details

IDProjectCategoryView StatusLast Update
0014548LazarusLCLpublic2010-10-31 23:01
ReporterSven BarthAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.26.3 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0014548: WinCE: TDrawGrid's scrollbars are not shown or hidden
DescriptionA TDrawGrid's scrollbars are not shown or hidden once the form is loaded and ScrollBars is changed.

But if I set Parent to Nil while changing ScrollBars (and resetting it afterwards), the scrollbars are hidden/shown. Also when I hide the bars with an unassigned Parent and show them with an assigned one, they are shown (it doesn't work the other way round).
Additional InformationAttached is an example program (it's an "advanced" version of the example in bug 0014546).
The button "Toggle Visibility 1" toggles the visibility of the vertical scrollbar (ssNone <=> ssVertical) with an assigned Parent and "Toggle Visibility 2" with an unassigned one.
Tagswince
Fixed in Revision25762
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

related to 0014546 resolvedJesus Reyes ClientWidth in TDrawGrid is first equal to Width and later to "real" ClientWidth 
related to 0016576 closedFelipe Monteiro de Carvalho TStringGrid in WinCE: Scrollbars always visible 

Activities

2009-09-09 14:26

 

drawgridwidth.zip (157,765 bytes)

Sven Barth

2009-09-09 14:46

manager   ~0030566

As a sidenote: I just realized that I forgot to reset the output and binary paths in the example project. (just for the case you're wundering ^^)

Sven Barth

2010-10-31 23:01

manager   ~0042514

Works. Thanks :)

Regards,
Sven

Issue History

Date Modified Username Field Change
2009-09-09 14:26 Sven Barth New Issue
2009-09-09 14:26 Sven Barth File Added: drawgridwidth.zip
2009-09-09 14:26 Sven Barth Widgetset => WinCE
2009-09-09 14:33 Vincent Snijders LazTarget => -
2009-09-09 14:33 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2009-09-09 14:33 Vincent Snijders Status new => assigned
2009-09-09 14:46 Sven Barth Note Added: 0030566
2009-10-20 17:05 Felipe Monteiro de Carvalho Tag Attached: wince
2010-05-28 09:32 Felipe Monteiro de Carvalho Relationship added related to 0014546
2010-05-28 09:33 Felipe Monteiro de Carvalho Relationship added related to 0016576
2010-05-28 10:13 Felipe Monteiro de Carvalho Fixed in Revision => 25762
2010-05-28 10:13 Felipe Monteiro de Carvalho Status assigned => resolved
2010-05-28 10:13 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-05-28 10:13 Felipe Monteiro de Carvalho Resolution open => fixed
2010-10-31 23:01 Sven Barth Status resolved => closed
2010-10-31 23:01 Sven Barth Note Added: 0042514